Top Streamed Assets

This endpoint lists top streamed assets in a video collection

Query Parameters
  • start_at
    Type: string
    required

    Date string in "yyyy-mm-dd" format

  • end_at
    Type: string
    required

    Date string in "yyyy-mm-dd" format

  • collection_id
    Type: string

    Gumlet workspace ID

  • page
    Type: string

    Page number of the response.

  • page_size
    Type: string

    Assets to list per page.

Responses
  • application/json
  • application/json
Request Example for get/video/streaming-duration
import Gumlet from '@gumlet/nodejs-sdk';

const client = new Gumlet({
  apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});

const videoUsageAnalytic = await client.videoUsageAnalytics.topAssets({
  start_at: '2026-06-21',
  end_at: '2026-06-30',
  page: '1',
  page_size: '1000',
});

console.log(videoUsageAnalytic);
{
  "data": [
    {
      "asset_id": "638888010f1a158347ce9842",
      "units": 0
    },
    {
      "asset_id": "6369df88cb5ca27c554bb1f2",
      "units": 0
    },
    {
      "asset_id": "63761f1fbe6f4dea7af3e050",
      "units": 0
    },
    {
      "asset_id": "63761eb6b6648252fc979673",
      "units": 0
    },
    {
      "asset_id": "6385035a3f8d6fa3925c5ae9",
      "units": 0
    },
    {
      "asset_id": "63761e09be6f4dea7af3ddaf",
      "units": 0
    },
    {
      "asset_id": "6322109d046f16b5e0ee63d9",
      "units": 0
    },
    {
      "asset_id": "6405cc5b4d82222f8a2053f2",
      "units": 0
    }
  ],
  "has_next_page": false
}